function init(hero) {
    hero.setName("Vibe CW");
    hero.setTier(5);
    
    hero.setHelmet("Glasses");
    hero.setChestplate("jacket");
    hero.setLeggings("pants");
    hero.setBoots("boots");
    
    hero.addPowers("cwheropack:power_vibration");
    hero.addAttribute("FALL_RESISTANCE", 2.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);

    hero.addKeyBind("AIM", "key.aim", 3);
    hero.addKeyBind("AIM", "Vibe Blasts", -1);
    hero.addKeyBind("TELEPORT", "key.teleport", 2);
    hero.addKeyBind("SONIC_WAVES", "Vibrational Blasts", 1);

    hero.supplyFunction("canAim", canAim);
    hero.setModifierEnabled(isModifierEnabled);

}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:energy_projection":
        return entity.getData('fiskheroes:aimed_timer') >= 1;
    case "fiskheroes:sonic_waves":
        return entity.getData('fiskheroes:aimed_timer') >= 1;
    case "fiskheroes:teleportation":
        return entity.getData('fiskheroes:aimed_timer') >= 1;
    default:
        return true;
    }
}